API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}
API Resource Path: /developers/{developer_email}/apps?expand=true
Provides an expanded view of a developer's collection of apps
Verb: GET
Auth: Basic AuthSample Request:
$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}developers/{developer_email}/apps?"expand=true"
Sample Response:
{
"app" : [ {
"accessType" : "read",
"attributes" : [ {
"name" : "Language",
"value" : "java"
} ],
"callbackUrl" : "www.apigee.com",
"companyName" : "",
"createdAt" : 1343052353553,
"createdBy" : "Admin",
"credentials" : [ {
"apiProducts" : [ {
"apiproduct" : "TestApiProduct",
"status" : "pending"
} ],
"attributes" : [ ],
"consumerKey" : "pCmh8dfwcDF1m9IIIqbUY2hGDO3obYgU",
"consumerSecret" : "HRlGbgdHLEwvzBhQ",
"status" : "approved"
}, {
"apiProducts" : [ {
"apiproduct" : "TestApiProduct",
"status" : "pending"
} ],
"attributes" : [ ],
"consumerKey" : "VBsAd4wO0wkevxGaqlKlVF8qlGa4ydsT",
"consumerSecret" : "gi8yb1ZFZ7ztRhYa",
"status" : "approved"
} ],
"developerId" : "automationorganization@@@kFsOyPfSNEdb6aSL",
"lastModifiedAt" : 1343052354468,
"lastModifiedBy" : "Admin",
"name" : "MyTestApp",
"status" : "approved" },{
. . .
}]
Response Payload Elements:
| Name | Description |
|---|---|
| app | An app in the list |
| accessType | |
| attributes | Name/value pairs used to extend the default app rpfoile |
| callbackUrl | A URL that can be used for app-specific callbacks |
| createdAt | Unix time when the app was created |
| createdBy | User name of the Apigee user who created the app |
| credentials | A list of API products and associated consumer key/secret pair(s) |
| apiProducts | A list of API products which with the app is associated |
| status | The status of the assoiatio with the API product: 'approved' or 'pending' |
| attributes | Name/value pairs used to extend the default profile |
| consumerKey | The value of the consumer key |
| consumerSecret | The value of the consumer secret associated with the consumer key |
| status | The status of the consumer key: 'approved' or 'pending' |
| developerId | unique internal ID for a developer, used as the primary key. Only for internal Apigee use. |
| lastModifiedAt | Unix time when the app was last modified |
| lastModifiedBy | Account of the Apigee user who last modified the app |
| name | Name of the app |
| status | The status of the app: 'approved' or unapproved' |
}
Failure 4xx with proper error message
{
"code" : "keymanagement.service.invalid_application_name",
"message" : "App Name is not valid ",
"contexts" : [ ]
}